private ["_type", "_unit", "_fnc_BUMaddweapons", "_fnc_BUMaddmagazines", "_magazines", "_fnc_BUMCheckAddBackpack","_fnc_BUMaddMedicalSupplies"];

//["MG",this] call compile preprocessFileLineNumbers "NATO.sqf"; Kutsu näin

_type = _this select 0;
_unit = _this select 1;

if (!(local _unit)) exitwith {}; // Todella tärkeä. Estää skriptin pyörimisen ei locaaleilla uniteilla

if (_unit isKindof "Man") then
{

	removeAllWeapons _unit;
	//_unit removeweapon "itemradio";
	_unit removeweapon "ItemGPS";
	_unit addweapon "ACE_NVG_Gen4";
	_unit removeweapon "ACE_NVG_Gen4";
	_unit addweapon "Binocular";
	removeGoggles _unit;
	_unit linkItem "tf_microdagr";

};

if (_unit isKindof "LandVehicle" || _unit isKindof "Air" || _unit isKindOf "Ship" || _unit isKindOf "Static") then
{
	clearWeaponCargoglobal _unit;
	clearItemCargoGlobal _unit;
	clearMagazineCargoglobal _unit;
	_unit disableTIEquipment true;
	_unit setVariable ["tf_side", "west", true];
	_unit setVehicleLock "UNLOCKED";
	_unit setVariable ["AFI_vehicle_gear","west",true];
};

if (_unit isKindOf "thing") then
{
    _unit setVariable ["AFI_vehicle_gear","west",true];
};

_fnc_BUMaddweapons = {

	//Adds weapons from list
	//Params [unit,[ListOfWeapons] call _fnc_BUMaddweapons;

	private ["_items", "_unit"];
	_unit = _this select 0;
	_items = _this select 1;
	{_unit addweapon _x;} Foreach _items;
};

_fnc_BUMaddmagazines = {

	//Adds list of magazines
	//Params [unit,[[MagazineClassname,count],[MagazineClassname,count],...]] call _fnc_BUMaddmagazines;

	private ["_item", "_unit", "_elements", "_count"];
	_unit = _this select 0;
	_elements = _this select 1;
	{
		_item = _x select 0;
		_count = _x select 1;
		_unit addmagazines [_item,_count];
	} Foreach _elements;
};

_fnc_BUMCheckAddBackpack = {

	//Run before adding rockets, adds an Backpack if Unit does not have one already
	//Params [unit,"BackpackClassName"] call _fnc_BUMCheckAddBackpack;

	private ["_PackToAdd", "_unit"];
	_unit = _this select 0;
	_PackToAdd = _this select 1;

	If (Backpack _unit == "") then {_unit addbackpack _PackToAdd};

};

_fnc_BUMaddMedicalSupplies = {

	//Add Xmedsys Medical supplies
	//Params [unit, mode] call _fnc_BUMaddMedicalSupplies;
	//mode can be "Soldier","Soldier","medic"
	//medic must have backpack

	private ["_mode", "_unit", "_supplies"];
	_unit = _this select 0;
	_mode = _this select 1;

	Switch (_mode) do {

		case "Soldier":
		{
			_supplies = [["ACE_fieldDressing",6],["ACE_morphine",1]];

			{
				_item = _x select 0;
				_count = _x select 1;

				for "_i" from 1 to _count do {_unit additem _item};
			} Foreach _supplies;
		};


		case "medic":
		{
			_supplies = [["ACE_fieldDressing",25],["ACE_morphine",15],["ACE_bloodIV_500",4],["ACE_epinephrine",15]];

			{
				_item = _x select 0;
				_count = _x select 1;

				for "_i" from 1 to _count do {_unit additem _item};
			} Foreach _supplies;
		};
	};
};


switch (_type) do
{
	Case "Pl":
	{
		[_unit, "tf_rt1523g_bwmod"] call _fnc_BUMCheckAddBackpack;
		_items = ["ACE_Vector","arifle_MXC_F","hgun_Pistol_heavy_02_F"];
		_magazines = [["30Rnd_65x39_caseless_mag",4],["6Rnd_45ACP_Cylinder",3],["SmokeShellOrange",2],["SmokeShellBlue",2]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addItem "ACE_microDAGR";

	};

	Case "Sl": //päivitetty
	{
		[_unit, "tf_rt1523g_big_rhs"] call _fnc_BUMCheckAddBackpack;
		_items = ["ACE_Vector","arifle_MX_Hamr_pointer_F","hgun_Pistol_heavy_01_F"];
		_magazines = [["30Rnd_65x39_caseless_mag",5],["30Rnd_65x39_caseless_mag_Tracer",2],["11Rnd_45ACP_Mag",4],["SmokeShellGreen",2],["SmokeShellOrange",2]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addItem "ACE_microDAGR";
	};

		Case "Tl"://päivitetty
	{
		[_unit, "B_AssaultPack_mcamo"] call _fnc_BUMCheckAddBackpack;
		_items = ["ACE_Vector", "arifle_MX_GL_Hamr_pointer_F","hgun_Pistol_heavy_01_F"];
		_magazines = [["30Rnd_65x39_caseless_mag",5],["30Rnd_65x39_caseless_mag_Tracer",2],["11Rnd_45ACP_Mag",4],["1Rnd_HE_Grenade_shell",10],["1Rnd_Smoke_Grenade_shell",3],["1Rnd_SmokePurple_Grenade_shell",3],["1Rnd_SmokeOrange_Grenade_shell",3]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};


	Case "Rif": {//päivitetty
		[_unit, "B_AssaultPack_mcamo"] call _fnc_BUMCheckAddBackpack;
		_items = ["arifle_MX_ACO_F","hgun_Pistol_heavy_01_F"];
		_magazines = [["30Rnd_65x39_caseless_mag",6],["30Rnd_65x39_caseless_mag_Tracer",2],["11Rnd_45ACP_Mag",4]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};

	Case "Ammo": {//päivitetty
		[_unit, "B_AssaultPack_mcamo"] call _fnc_BUMCheckAddBackpack;
		_items = ["arifle_MX_ACO_pointer_F","hgun_Pistol_heavy_01_F"];
		_magazines = [["30Rnd_65x39_caseless_mag",16],["30Rnd_65x39_caseless_mag_Tracer",2],["11Rnd_45ACP_Mag",4],["100Rnd_65x39_caseless_mag",2],["1Rnd_HE_Grenade_shell",5],["20Rnd_762x51_Mag",2]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};

	Case "Gre": {
		[_unit, "B_AssaultPack_mcamo"] call _fnc_BUMCheckAddBackpack;
		_items = ["arifle_MX_GL_ACO_F","hgun_Pistol_heavy_01_F"];
		_magazines = [["30Rnd_65x39_caseless_mag",5],["30Rnd_65x39_caseless_mag_Tracer",2],["11Rnd_45ACP_Mag",4]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};

	Case "Exp":
	{
		[_unit, "B_Carryall_mcamo"] call _fnc_BUMCheckAddBackpack;
		_items = ["arifle_MXC_Holo_F","hgun_Pistol_heavy_01_F"];
		_magazines = [["30Rnd_65x39_caseless_mag",5],["30Rnd_65x39_caseless_mag_Tracer",2],["11Rnd_45ACP_Mag",4]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addItem "ACE_DefusalKit";
		_unit addItem "ACE_Clacker";
	};

	Case "Eng": //päivitetty
	{
		removeBackpack _unit;
		_unit addVest "V_PlateCarrierSpec_rgr";
		[_unit, "B_Kitbag_rgr"] call _fnc_BUMCheckAddBackpack;
		_items = ["arifle_MXC_Holo_pointer_F","hgun_Pistol_heavy_01_F"];
		_magazines = [["30Rnd_65x39_caseless_mag",4],["11Rnd_45ACP_Mag",3],["DemoCharge_Remote_Mag",2],["SatchelCharge_Remote_Mag",1]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addItem "ACE_DefusalKit";
		_unit addItem "ACE_Clacker";
		_unit addItem "ToolKit";
		_unit addItem "ACE_wirecutter";
	};

	Case "Sleng": //päivitetty
	{
		[_unit, "tf_rt1523g_big_rhs"] call _fnc_BUMCheckAddBackpack;
		_items = ["ACE_Vector","arifle_MXC_Holo_pointer_F","hgun_Pistol_heavy_01_F"];
		_magazines = [["30Rnd_65x39_caseless_mag",4],["11Rnd_45ACP_Mag",3],["SmokeShellPurple",2],["SmokeShellYellow",2],["DemoCharge_Remote_Mag",2]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addItem "ACE_microDAGR";
		_unit addItem "ACE_DefusalKit";
		_unit addItem "ACE_Clacker";
		_unit addItem "ToolKit";
		//_unit addItem "ACE_wirecutter";
	};

	Case "Ar"://päivitetty
	{
		[_unit, "B_AssaultPack_mcamo"] call _fnc_BUMCheckAddBackpack;
		_items = ["arifle_MX_SW_F","hgun_Pistol_heavy_01_F"];
		_magazines = [["100Rnd_65x39_caseless_mag",3],["100Rnd_65x39_caseless_mag_Tracer",2],["11Rnd_45ACP_Mag",4]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addItem "ACE_SpareBarrel";
	};



	Case "HMG": //päivitetty
	{
		[_unit, "B_AssaultPack_mcamo"] call _fnc_BUMCheckAddBackpack;
		_items = ["MMG_02_sand_RCO_LP_F"];
		_magazines = [["130Rnd_338_Mag",2]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;

	};

	Case "HMGass": //päivitetty
	{
		[_unit, "B_AssaultPack_mcamo"] call _fnc_BUMCheckAddBackpack;
		_items = ["arifle_MX_ACO_pointer_F","hgun_Pistol_heavy_01_F"];
		_magazines = [["30Rnd_65x39_caseless_mag",5],["30Rnd_65x39_caseless_mag_Tracer",2],["11Rnd_45ACP_Mag",4],["130Rnd_338_Mag",3]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};

	Case "At": //päivitetty
	{
		[_unit, "B_AssaultPack_mcamo"] call _fnc_BUMCheckAddBackpack;
		_items = ["arifle_MX_ACO_F","launch_NLAW_F","hgun_Pistol_heavy_01_F"];
		_magazines = [["30Rnd_65x39_caseless_mag",5],["30Rnd_65x39_caseless_mag_Tracer",2],["11Rnd_45ACP_Mag",4]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};

	Case "Sharp": //päivitetty
	{
		[_unit, "B_AssaultPack_mcamo"] call _fnc_BUMCheckAddBackpack;
		_items = ["srifle_DMR_03_tan_AMS_LP_F","hgun_Pistol_heavy_01_F"];
		_magazines = [["20Rnd_762x51_Mag",5],["ACE_20Rnd_762x51_Mag_Tracer",2],["11Rnd_45ACP_Mag",2]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};

	Case "Mark": //päivitetty
	{
		[_unit, "B_AssaultPack_mcamo"] call _fnc_BUMCheckAddBackpack;
		_items = ["Binocular","arifle_MXM_Hamr_LP_BI_F","hgun_Pistol_heavy_01_F"];
		_magazines = [["30Rnd_65x39_caseless_mag",5],["30Rnd_65x39_caseless_mag_Tracer",2],["11Rnd_45ACP_Mag",4]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};

	Case "ATasst":

	{
		[_unit, "B_AssaultPack_mcamo"] call _fnc_BUMCheckAddBackpack;
		_items = ["arifle_MX_Holo_pointer_F","hgun_Pistol_heavy_01_F"];
		_magazines = [["30Rnd_65x39_caseless_mag",5],["30Rnd_65x39_caseless_mag_Tracer",2],["11Rnd_45ACP_Mag",4]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};


	Case "Medic": //lentokone
	{
		[_unit, "B_Carryall_mcamo"] call _fnc_BUMCheckAddBackpack;
		_items = ["Binocular","arifle_MX_ACO_F","hgun_Pistol_heavy_01_F"];
		_magazines = [["30Rnd_65x39_caseless_mag",5],["30Rnd_65x39_caseless_mag_Tracer",2],["11Rnd_45ACP_Mag",4],["SmokeShellBlue",2],["SmokeShellOrange",2],["SmokeShellPurple",2],["SmokeShellYellow",2]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "medic"] Call _fnc_BUMaddMedicalSupplies;
	};


	Case "Pilot": //lentokone
	{
		[_unit, "B_AssaultPack_mcamo"] call _fnc_BUMCheckAddBackpack;
		_items = ["SMG_01_Holo_F"];
		_magazines = [["30Rnd_45ACP_Mag_SMG_01",4]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addItem "ACE_microDAGR";

	};

	Case "Heli":
	{
		_items = ["SMG_01_Holo_F"];
		_magazines = [["30Rnd_45ACP_Mag_SMG_01",4]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addItem "ACE_microDAGR";
	};



	Case "UAV":
	{

		[_unit, "B_UAV_01_backpack_F"] call _fnc_BUMCheckAddBackpack;
		_items = ["Binocular", "B_UavTerminal", "arifle_MX_ACO_F","hgun_Pistol_heavy_01_F"];
		_magazines = [["30Rnd_65x39_caseless_mag",5],["30Rnd_65x39_caseless_mag_Tracer",2],["11Rnd_45ACP_Mag",4]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addItem "ACE_UAVBattery";
	};

	Case "Crew":
	{
		_items = ["Binocular","SMG_01_Holo_F"];
		_magazines = [["30Rnd_45ACP_Mag_SMG_01",4]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addItem "ACE_microDAGR";
	};

	Case "Atgm":
	{
		[_unit, "B_Carryall_mcamo",true] call _fnc_BUMCheckAddBackpack;
		_items = ["arifle_MXC_ACO_F","launch_B_Titan_short_F","hgun_Pistol_heavy_01_F"];
		_magazines = [["30Rnd_65x39_caseless_mag",5],["30Rnd_65x39_caseless_mag_Tracer",2],["11Rnd_45ACP_Mag",4],["Titan_AT",2]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};

	Case "Atgmasst":
	{
		[_unit, "B_Carryall_mcamo",true] call _fnc_BUMCheckAddBackpack;
		_items = ["Binocular","arifle_MXC_ACO_F","hgun_Pistol_heavy_01_F"];
		_magazines = [["30Rnd_65x39_caseless_mag",5],["30Rnd_65x39_caseless_mag_Tracer",2],["11Rnd_45ACP_Mag",4]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};

	Case "AtgmSL":
	{
		[_unit, "tf_rt1523g_bwmod"] call _fnc_BUMCheckAddBackpack;
		_items = ["Binocular","arifle_MX_GL_Hamr_pointer_F","hgun_Pistol_heavy_01_F"];
		_magazines = [["30Rnd_65x39_caseless_mag",5],["30Rnd_65x39_caseless_mag_Tracer",2],["11Rnd_45ACP_Mag",4]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addItem "ACE_microDAGR";

	};

	Case "Aa":
	{
		[_unit, "B_AssaultPack_mcamo",true] call _fnc_BUMCheckAddBackpack;
		_items = ["arifle_MXC_ACO_F","launch_B_Titan_F","hgun_Pistol_heavy_01_F"];
		_magazines = [["30Rnd_65x39_caseless_mag",5],["30Rnd_65x39_caseless_mag_Tracer",2],["11Rnd_45ACP_Mag",4]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};

	Case "Aaasst":
	{
		[_unit, "B_Carryall_mcamo",true] call _fnc_BUMCheckAddBackpack;
		_items = ["Binocular","arifle_MXC_ACO_F","hgun_Pistol_heavy_01_F"];
		_magazines = [["30Rnd_65x39_caseless_mag",5],["30Rnd_65x39_caseless_mag_Tracer",2],["11Rnd_45ACP_Mag",4]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};

	Case "Aaftl":
	{
		[_unit, "tf_rt1523g_bwmod"] call _fnc_BUMCheckAddBackpack;
		_items = ["Binocular","arifle_MX_GL_Hamr_pointer_F","hgun_Pistol_heavy_01_F"];
		_magazines = [["30Rnd_65x39_caseless_mag",5],["30Rnd_65x39_caseless_mag_Tracer",2],["11Rnd_45ACP_Mag",4]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addItem "ACE_microDAGR";
	};



	/////////
	//Recon//
	/////////



	Case "RecoTl":
	{
		[_unit, "tf_rt1523g_bwmod"] call _fnc_BUMCheckAddBackpack;
		_items = ["ACE_Vector","arifle_MX_RCO_pointer_snds_F","hgun_Pistol_heavy_01_snds_F"];
		_magazines = [["ACE_30Rnd_65x39_caseless_mag_Tracer_Dim",6],["11Rnd_45ACP_Mag",3]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addItem "ACE_microDAGR";
	};

	Case "RecoScout":
	{
		[_unit, "B_AssaultPack_mcamo"] call _fnc_BUMCheckAddBackpack;
		_items = ["Binocular","arifle_MX_ACO_pointer_snds_F","hgun_Pistol_heavy_01_snds_F"];
		_magazines = [["ACE_30Rnd_65x39_caseless_mag_Tracer_Dim",6],["11Rnd_45ACP_Mag",3]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};

	Case "RecoMedic":
	{
		[_unit, "B_Carryall_mcamo"] call _fnc_BUMCheckAddBackpack;
		_items = ["arifle_MXC_ACO_pointer_snds_F","hgun_Pistol_heavy_01_snds_F"];
		_magazines = [["ACE_30Rnd_65x39_caseless_mag_Tracer_Dim",6],["11Rnd_45ACP_Mag",3]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "medic"] Call _fnc_BUMaddMedicalSupplies;
	};

	Case "RecoMarksman":
	{
		[_unit, "B_AssaultPack_mcamo"] call _fnc_BUMCheckAddBackpack;
		_items = ["Binocular","arifle_MXM_DMS_LP_BI_snds_F","hgun_Pistol_heavy_01_snds_F"];
		_magazines = [["ACE_30Rnd_65x39_caseless_mag_Tracer_Dim",6],["11Rnd_45ACP_Mag",3]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};

	Case "RecoAt":
	{
		[_unit, "B_AssaultPack_mcamo"] call _fnc_BUMCheckAddBackpack;
		_items = ["arifle_MX_ACO_pointer_snds_F","launch_NLAW_F","hgun_Pistol_heavy_01_snds_F"];
		_magazines = [["ACE_30Rnd_65x39_caseless_mag_Tracer_Dim",6],["11Rnd_45ACP_Mag",3]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};

	Case "ReconDemo":
	{
		[_unit, "B_Carryall_mcamo"] call _fnc_BUMCheckAddBackpack;
		_items = ["arifle_MX_ACO_pointer_snds_F","hgun_Pistol_heavy_01_snds_F"];
		_magazines = [["ACE_30Rnd_65x39_caseless_mag_Tracer_Dim",6],["11Rnd_45ACP_Mag",3],["DemoCharge_Remote_Mag",2]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addItem "ACE_DefusalKit";
		_unit addItem "ACE_Clacker";
	};

	Case "ReconJTAC": {
		[_unit, "tf_rt1523g_bwmod"] call _fnc_BUMCheckAddBackpack;
		_items = ["arifle_MX_GL_Holo_pointer_snds_F","Laserdesignator","hgun_Pistol_heavy_01_snds_F"];;
		_magazines = [["ACE_30Rnd_65x39_caseless_mag_Tracer_Dim",6],["11Rnd_45ACP_Mag",3],["Laserbatteries",1],["1Rnd_HE_Grenade_shell",10],["1Rnd_Smoke_Grenade_shell",3]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addItem "ACE_microDAGR";
	};


	Case "Sniper": //päivitetty
	{
		_unit addItem "ACE_RangeCard";
		[_unit, "B_AssaultPack_mcamo"] call _fnc_BUMCheckAddBackpack;
		_items = ["srifle_DMR_02_sniper_F","hgun_Pistol_heavy_01_snds_F","ACE_Vector"];
		_magazines = [["11Rnd_45ACP_Mag",4],["SmokeShellBlue",2],["10Rnd_338_Mag",4],["ACE_10Rnd_338_300gr_HPBT_Mag",2],["ACE_10Rnd_338_API526_Mag",2]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addItem "ACE_Kestrel4500";
		_unit addPrimaryWeaponItem "optic_KHS_tan";
		_unit addPrimaryWeaponItem "bipod_01_F_snd";
	};

	Case "Spotter": //päivitetty
	{
		_unit addItem "ACE_RangeCard";
	    [_unit, "tf_rt1523g_bwmod"] call _fnc_BUMCheckAddBackpack;
		_items = ["arifle_MXM_F","hgun_Pistol_heavy_01_snds_F","Laserdesignator"];
		_magazines = [["30Rnd_65x39_caseless_mag",7],["11Rnd_45ACP_Mag",4],["Laserbatteries",1],["ClaymoreDirectionalMine_Remote_Mag",4]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addItem "ACE_Clacker";
		_unit addItem "ACE_DefusalKit";
		_unit addItem "ACE_microDAGR";
		_unit addItem "ACE_Kestrel4500";
		_unit addPrimaryWeaponItem "muzzle_snds_H";
		_unit addPrimaryWeaponItem "optic_Hamr";
		_unit addPrimaryWeaponItem "bipod_01_F_snd";
	};

	Case "DiverTl": {
		[_unit, "tf_rt1523g_bwmod"] call _fnc_BUMCheckAddBackpack;
		_items = ["arifle_SDAR_F","hgun_Pistol_heavy_01_snds_F"];
		_magazines = [["20Rnd_556x45_UW_mag",3],["11Rnd_45ACP_Mag",4],["30Rnd_556x45_Stanag",4],["SmokeShellBlue",2],["Chemlight_blue",3]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addItem "ACE_microDAGR";
	};

	Case "DiverExp": {
		[_unit, "B_Carryall_mcamo"] call _fnc_BUMCheckAddBackpack;
		_items = ["arifle_SDAR_F","hgun_Pistol_heavy_01_snds_F"];
		_magazines = [["20Rnd_556x45_UW_mag",3],["11Rnd_45ACP_Mag",4],["30Rnd_556x45_Stanag",4],["SmokeShellBlue",2],["Chemlight_blue",3],["DemoCharge_Remote_Mag",6]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addItem "ACE_DefusalKit";
		_unit addItem "ACE_Clacker";
		_unit addItem "ToolKit";
	};

	Case "AssaultDiver":
	{
		[_unit, "B_AssaultPack_mcamo"] call _fnc_BUMCheckAddBackpack;
		_items = ["arifle_SDAR_F","hgun_Pistol_heavy_01_snds_F"];
		_magazines = [["20Rnd_556x45_UW_mag",5],["11Rnd_45ACP_Mag",4],["30Rnd_556x45_Stanag",5],["SmokeShellBlue",2],["Chemlight_blue",3]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};


	///////////////
    //  Luuskat  //
    ///////////////


	Case "Auto": //perus
	{
		_unit addMagazineCargoGlobal ["30Rnd_65x39_caseless_mag", 3];
		_unit addMagazineCargoGlobal ["SmokeShell",2];
		_unit addMagazineCargoGlobal ["HandGrenade",2];
		_unit addMagazineCargoGlobal ["11Rnd_45ACP_Mag",4];
		_unit addMagazineCargoGlobal ["100Rnd_65x39_caseless_mag",2];
		_unit addMagazineCargoGlobal ["Chemlight_Blue",4];
		_unit addMagazineCargoGlobal ["SmokeShellBlue",2];
		_unit addItemCargoGlobal ["ToolKit",1];
		_unit addItemCargoGlobal ["ACE_wirecutter",2];
		_unit addItemCargoGlobal ["ACE_bodyBag",20];
		_unit addItemCargoGlobal ["ACE_bloodIV_500",5];
		_unit addItemCargoGlobal ["ACE_Sandbag_empty",50];
		_unit addBackpackCargoGlobal ["ACE_TacticalLadder_Pack", 2];
		_unit addItemCargoGlobal ["ACE_wirecutter",2];
	};

		Case "UH": //perus
	{
		_unit addMagazineTurret ["2000Rnd_762x51_Belt_T_Red",[2]];
		_unit addMagazineTurret ["2000Rnd_762x51_Belt_T_Red",[1]];
		_unit addMagazineCargoGlobal ["30Rnd_65x39_caseless_mag", 3];
		_unit addMagazineCargoGlobal ["SmokeShell",2];
		_unit addMagazineCargoGlobal ["HandGrenade",2];
		_unit addMagazineCargoGlobal ["11Rnd_45ACP_Mag",4];
		_unit addMagazineCargoGlobal ["100Rnd_65x39_caseless_mag",2];
		_unit addMagazineCargoGlobal ["Chemlight_Blue",4];
		_unit addMagazineCargoGlobal ["SmokeShellBlue",2];
		_unit addItemCargoGlobal ["ToolKit",1];
		_unit addItemCargoGlobal ["ACE_wirecutter",2];
		_unit addItemCargoGlobal ["ACE_bodyBag",20];
		_unit addItemCargoGlobal ["ACE_bloodIV_500",5];
		_unit addItemCargoGlobal ["ACE_Sandbag_empty",50];
		_unit addBackpackCargoGlobal ["ACE_TacticalLadder_Pack", 2];
		_unit addItemCargoGlobal ["ACE_wirecutter",2];
	};

	Case "CH": //perus
	{
		_unit addMagazineTurret ["2000Rnd_65x39_Belt_Tracer_Red",[2]];
		_unit addMagazineTurret ["2000Rnd_65x39_Belt_Tracer_Red",[1]];
		_unit addWeaponCargoGlobal ["launch_NLAW_F", 1];
		_unit addMagazineCargoGlobal ["30Rnd_65x39_caseless_mag", 6];
		_unit addMagazineCargoGlobal ["HandGrenade",5];
		_unit addMagazineCargoGlobal ["11Rnd_45ACP_Mag",9];
		_unit addMagazineCargoGlobal ["100Rnd_65x39_caseless_mag",2];
		_unit addItemCargoGlobal ["ToolKit",1];
		_unit addMagazineCargoGlobal ["SmokeShellBlue",6];
		_unit addMagazineCargoGlobal ["SmokeShellOrange",6];
		_unit addMagazineCargoGlobal ["SmokeShellPurple",6];
		_unit addMagazineCargoGlobal ["SmokeShellYellow",6];
		_unit addMagazineCargoGlobal ["SmokeShellGreen",6];
		_unit addMagazineCargoGlobal ["SmokeShellRed",6];
		_unit addMagazineCargoGlobal ["SmokeShell",6];
		_unit addMagazineCargoGlobal ["Chemlight_red",3];
		_unit addMagazineCargoGlobal ["Chemlight_yellow",3];
		_unit addMagazineCargoGlobal ["Chemlight_blue",3];
		_unit addMagazineCargoGlobal ["Chemlight_green",3];
		_unit addMagazineCargoGlobal ["1Rnd_HE_Grenade_shell",5];
		_unit addMagazineCargoGlobal ["1Rnd_Smoke_Grenade_shell",5];
		_unit addMagazineCargoGlobal ["1Rnd_SmokeBlue_Grenade_shell",5];
		_unit addMagazineCargoGlobal ["1Rnd_SmokeGreen_Grenade_shell",5];
		_unit addMagazineCargoGlobal ["1Rnd_SmokeOrange_Grenade_shell",5];
		_unit addMagazineCargoGlobal ["1Rnd_SmokePurple_Grenade_shell",5];
		_unit addMagazineCargoGlobal ["1Rnd_SmokeRed_Grenade_shell",5];
		_unit addMagazineCargoGlobal ["1Rnd_SmokeYellow_Grenade_shell",5];
		_unit addItemCargoGlobal ["ACE_wirecutter",2];
		_unit addItemCargoGlobal ["ACE_bodyBag",20];
		_unit addItemCargoGlobal ["ACE_bloodIV_500",5];
		_unit addItemCargoGlobal ["ACE_Sandbag_empty",100];
		_unit addBackpackCargoGlobal ["ACE_TacticalLadder_Pack", 5];
	};


	Case "Rekat": //perus
	{
		//_unit addWeaponCargoGlobal ["launch_NLAW_F", 1];
		_unit addMagazineCargoGlobal ["30Rnd_65x39_caseless_mag", 6];
		_unit addMagazineCargoGlobal ["HandGrenade",5];
		_unit addMagazineCargoGlobal ["11Rnd_45ACP_Mag",9];
		_unit addMagazineCargoGlobal ["100Rnd_65x39_caseless_mag",2];
		_unit addItemCargoGlobal ["ToolKit",1];
		_unit addMagazineCargoGlobal ["SmokeShellBlue",6];
		_unit addMagazineCargoGlobal ["SmokeShellOrange",6];
		_unit addMagazineCargoGlobal ["SmokeShellPurple",6];
		_unit addMagazineCargoGlobal ["SmokeShellYellow",6];
		_unit addMagazineCargoGlobal ["SmokeShellGreen",6];
		_unit addMagazineCargoGlobal ["SmokeShellRed",6];
		_unit addMagazineCargoGlobal ["SmokeShell",6];
		_unit addMagazineCargoGlobal ["Chemlight_red",3];
		_unit addMagazineCargoGlobal ["Chemlight_yellow",3];
		_unit addMagazineCargoGlobal ["Chemlight_blue",3];
		_unit addMagazineCargoGlobal ["Chemlight_green",3];
		_unit addMagazineCargoGlobal ["1Rnd_HE_Grenade_shell",5];
		_unit addMagazineCargoGlobal ["1Rnd_Smoke_Grenade_shell",5];
		_unit addMagazineCargoGlobal ["1Rnd_SmokeBlue_Grenade_shell",5];
		_unit addMagazineCargoGlobal ["1Rnd_SmokeGreen_Grenade_shell",5];
		_unit addMagazineCargoGlobal ["1Rnd_SmokeOrange_Grenade_shell",5];
		_unit addMagazineCargoGlobal ["1Rnd_SmokePurple_Grenade_shell",5];
		_unit addMagazineCargoGlobal ["1Rnd_SmokeRed_Grenade_shell",5];
		_unit addMagazineCargoGlobal ["1Rnd_SmokeYellow_Grenade_shell",5];
		_unit addItemCargoGlobal ["ACE_wirecutter",2];
		_unit addItemCargoGlobal ["ACE_bodyBag",20];
		_unit addItemCargoGlobal ["ACE_bloodIV_500",5];
		_unit addItemCargoGlobal ["ACE_Sandbag_empty",100];
		_unit addBackpackCargoGlobal ["ACE_TacticalLadder_Pack", 5];
	};


};

if (_unit isKindof "Man") then
{
	_unit addPrimaryWeaponItem "acc_pointer_IR";
	_unit addPrimaryWeaponItem "acc_flashlight";
	_magazines = [["Chemlight_Blue",5],["MiniGrenade",2],["HandGrenade",2],["SmokeShell",4],["SmokeShellBlue",2],["B_IR_Grenade",2]];
	[_unit, _magazines] Call _fnc_BUMaddmagazines;
	_unit additem "ACE_EarPlugs";
};
